org.apache.ode.bpel.intercept

## Class InstanceCountThrottler

- java.lang.Object
- - org.apache.ode.bpel.intercept.NoOpInterceptor
  - - org.apache.ode.bpel.intercept.InstanceCountThrottler

- All Implemented Interfaces:
    MessageExchangeInterceptor

      public class InstanceCountThrottler
      extends NoOpInterceptor

  An example of a simple interceptor providing a "throttling" capability - that is an ability to limit the number of instances created for a given process.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.ode.bpel.intercept.MessageExchangeInterceptor

      `MessageExchangeInterceptor.InterceptorContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InstanceCountThrottler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onNewInstanceInvoked(MyRoleMessageExchange mex, MessageExchangeInterceptor.InterceptorContext ic)` Called when the BPEL server is invoked, after the message exchange has been routed to the process and it has been determined that a new instance needs to be created.

    - ### Methods inherited from class org.apache.ode.bpel.intercept.NoOpInterceptor

      `onBpelServerInvoked, onJobScheduled, onPartnerInvoked, onProcessInvoked`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InstanceCountThrottler

          public InstanceCountThrottler()

  - ### Method Detail

    - #### onNewInstanceInvoked

          public void onNewInstanceInvoked(MyRoleMessageExchange mex,
                                           MessageExchangeInterceptor.InterceptorContext ic)
                                    throws FailMessageExchangeException

      Description copied from interface: `MessageExchangeInterceptor`
      Called when the BPEL server is invoked, after the message exchange has been routed to the process and it has been determined that a new instance needs to be created.
      Specified by:
        `onNewInstanceInvoked` in interface `MessageExchangeInterceptor`
      Overrides:
        `onNewInstanceInvoked` in class `NoOpInterceptor`
      Parameters:
        `mex` - message exchange
      Throws:
        `FailMessageExchangeException`